using Fantasy;
using Fantasy.Entitas;

namespace NB.Chat;

public static class ChatUnitFactory
{
    /// <summary>
    /// 创建一个新的Player
    /// </summary>
    /// <param name="scene"></param>
    /// <param name="aId">ToKen令牌传递过来的aId</param>
    /// <param name="isSaveDataBase">是否在创建的过程中保存到数据库</param>
    /// <returns></returns>
    public static SocialUnit Create(Scene scene, long aId)
    {
        var player = Entity.Create<SocialUnit>(scene, aId, true, true);
        return player;
    }
}